scss_files: "./source/stylesheets/**"
exclude:
  - "./source/stylesheets/vendor/**"
  - "./build/**"
  - "./public/**"
  - "./vendor/**"
  - "./source/stylesheets/highlight.css.erb"

linters:
  BorderZero:
    severity: error
  ColorKeyword:
    severity: error
  DuplicateProperty:
    severity: error
  EmptyLineBetweenBlocks:
    enabled: true
  EmptyRule:
    severity: error
  Indentation:
    severity: error
  ImportantRule:
    severity: error
  MergeableSelector:
    severity: error
  NestingDepth:
    max_depth: 4
  PropertySortOrder:
    enabled: false
  SelectorDepth:
    max_depth: 4
  SingleLinePerProperty:
    allow_single_line_rule_sets: false
  StringQuotes:
    style: double_quotes
  TrailingSemicolon:
    severity: error
  UrlFormat:
    enabled: false
  QualifyingElement:
    severity: error
  FinalNewLine:
    severity: error
